<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="head">
		<h:outputStylesheet library="stylesheet" name="resultStyle.css" />
	</ui:define>
	<ui:define name="body">
    <h1>#{messages['net.ihe.gazelle.xdstar.NCPAAnalyzer']}</h1>
    <h:form id="form">
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.NCPAAnalyzer']}</f:facet>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.TheAimOfThisToolIsToAutomateSomeTestsToAnalyzeTh']}"/>
        <br/>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveToSelectYourEndpointAsAnNCPA']} "/>
        <h:outputText value="(#{messages['net.ihe.gazelle.xdstar.XCPDRespondingGatewayConfigurationAndXCARespondi']}), "/>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThenYouHaveToSelectYourTestToBeExecutedReadThenT']}"/>
        <br/>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ClickThenOnTheButtonBeginTheTest']} "/>
        <br/>
        <div class="form-horizontal">
	        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" id="xcpddec">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XCPDRespondingGateway']}</ui:define>
	          <h:selectOneMenu value="#{ncpAnalyzerManager.selectedXCPDRespConfiguration}" converter="systemConfigurationConverter" styleClass="form-control gzl-form-control gzl-select-text">
	            <s:selectItems value="#{ncpAnalyzerManager.listXCPDRespConfiguration()}" var="conf" noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}" label="#{conf.name} (#{conf.url})"/>
	          </h:selectOneMenu>
	        </s:decorate>
	        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" id="xcadec">
	          <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XCARespondingGateway']}</ui:define>
	          <h:selectOneMenu value="#{ncpAnalyzerManager.selectedXCARespConfiguration}" converter="systemConfigurationConverter" styleClass="form-control gzl-form-control gzl-select-text">
	            <s:selectItems value="#{ncpAnalyzerManager.listXCARespConfiguration()}" var="conf" noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}" label="#{conf.name} (#{conf.url})"/>
	          </h:selectOneMenu>
	        </s:decorate>
	        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
	          <ui:define name="label">#{messages['test']}</ui:define>
	          <h:selectOneMenu value="#{ncpAnalyzerManager.selectedTestPlanType}" converter="testPlanConverter" styleClass="form-control gzl-form-control gzl-select-text">
	            <s:selectItems value="#{ncpAnalyzerManager.listTestPlanType()}" var="testp" noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectSomeValue']}" label="#{testp.testName}"/>
	            <a4j:ajax event="change" render="TPIDiv,TestPlanAttribute,testdesc,sequenceDiagramDiv" listener="#{ncpAnalyzerManager.initTestPlanInstance()}"/>
	          </h:selectOneMenu>
	        </s:decorate>
	      </div>
        <s:div id="testdesc">
          <h:outputText rendered="#{ncpAnalyzerManager.selectedTestPlanType != null}" value="#{ncpAnalyzerManager.selectedTestPlanType.description}" escape="false"/>
        </s:div>
        <s:div id="TestPlanAttribute">
          <gri:panel rendered="#{ncpAnalyzerManager.selectedTestPlanType != null}">
            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TestConfiguration']}</f:facet>
            <div class="form-horizontal">
            <a4j:repeat value="#{ncpAnalyzerManager.selectedTestPlanInstance.globalInputInstance}" var="gii">
              <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:define name="label">#{gii.globalInputType.description}</ui:define>
                <h:inputText value="#{gii.value}" size="60" styleClass="form-control"/>
              </s:decorate>
            </a4j:repeat>
            </div>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.BeginTheTest']}" action="#{ncpAnalyzerManager.startSelectedTestPlan()}" render="sequenceDiagramDiv,TPIDiv,messageDecoration" styleClass="gzl-btn-blue"/>
          </gri:panel>
        </s:div>
        <s:div id="sequenceDiagramDiv">
          <s:decorate template="/layout/display/_display.xhtml" rendered="#{ncpAnalyzerManager.selectedTestPlanInstance.id != null}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PermanentLink_2']}</ui:define>
            <h:outputLink value="#{ncpAnalyzerManager.getPermanentLink(ncpAnalyzerManager.selectedTestPlanInstance)}" target="_blank">
              <h:outputText value="#{ncpAnalyzerManager.getPermanentLink(ncpAnalyzerManager.selectedTestPlanInstance)}"/>
            </h:outputLink>
          </s:decorate>
          <center>
            <h:graphicImage rendered="#{ncpAnalyzerManager.selectedTestPlanInstance.id != null}" value="#{ncpAnalyzerManager.getSequenceDiagramAsUrl(ncpAnalyzerManager.selectedTestPlanInstance)}" title="#{messages['net.ihe.gazelle.xdstar.SequenceDiagram']}"/>
          </center>
        </s:div>
        <br/>
        <s:div id="TPIDiv">
          <s:div rendered="#{ncpAnalyzerManager.selectedTestPlanType != null}">
            <a4j:poll id="poll" interval="500" enabled="#{ncpAnalyzerManager.enabledRefresh}" rendered="#{ncpAnalyzerManager.selectedTestPlanInstance.id != null}" actionListener="#{ncpAnalyzerManager.updateSelectedTestPlanInstance()}" render="TPIDiv"/>
            <s:div rendered="#{ncpAnalyzerManager.selectedTestPlanInstance.id != null}">
              <ui:include src="/testplan/tpidesc.xhtml">
                <ui:param name="tpi" value="#{ncpAnalyzerManager.selectedTestPlanInstance}"/>
              </ui:include>
            </s:div>
          </s:div>
        </s:div>
      </gri:panel>
      <ui:include src="/messages/messageModalPanel.xhtml">
        <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
      </ui:include>
    </h:form>
  </ui:define>
</ui:composition>
